%define pkgname PyJWT
Name:          python-pyjwt
Version:       2.10.1
Release:       1mamba
Summary:       JSON Web Token implementation in Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/jpadilla/pyjwt
Source:        https://pypi.debian.net/PyJWT/pyjwt-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Provides:    python-jwt%{?pyappend:-%pyappend} \
Obsoletes:   python-jwt%{?pyappend:-%pyappend} < 2.3.0
%pyver_package
%endif

%prep
%setup -q -n pyjwt-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/jwt
%{python_sitelib}/jwt/*
%doc LICENSE

%changelog
* Wed Dec 04 2024 Automatic Build System <autodist@openmamba.org> 2.10.1-1mamba
- automatic version update by autodist

* Sun Nov 24 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-1mamba
- update to 2.10.0

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 2.8.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Wed Jul 19 2023 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Wed May 10 2023 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Fri Oct 21 2022 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Sun Sep 18 2022 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Fri May 13 2022 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Mon Nov 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- package created using the webbuild interface
